Bug 1735254 - gimp-lensfun: FTBFS in Fedora rawhide/f31
Summary: gimp-lensfun: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gimp-lensfun
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Graham White
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-07-31 19:20 UTC by Fedora Release Engineering
Modified: 2019-08-05 14:53 UTC (History)
1 user (show)

Fixed In Version: 0.2.4-13.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-05 14:53:13 UTC
Type: ---


Attachments (Terms of Use)
build.log (16.90 KB, text/plain)
2019-07-31 19:20 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-07-31 19:20 UTC, Fedora Release Engineering
no flags Details
state.log (645 bytes, text/plain)
2019-07-31 19:20 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-07-31 19:20:20 UTC
gimp-lensfun failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36633578


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix gimp-lensfun at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
gimp-lensfun will be orphaned. Before branching of Fedora 32,
gimp-lensfun will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-07-31 19:20:23 UTC
Created attachment 1596243 [details]
build.log

Comment 2 Fedora Release Engineering 2019-07-31 19:20:25 UTC
Created attachment 1596244 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-07-31 19:20:27 UTC
Created attachment 1596245 [details]
state.log

Comment 4 Graham White 2019-08-01 07:45:11 UTC
This build error is fixed by the patch at /home/gwhite/rpmbuild/SRPMS/gimp-lensfun-0.2.4-12.fc30.src.rpm

I will build a new version in due course including that patch.

Comment 5 Graham White 2019-08-01 07:45:58 UTC
Apologies, cut-and-paste error above...

This build error is fixed by the patch at https://github.com/seebk/GIMP-Lensfun/pull/27/commits/ca4511c1a4dd8edabe86e4a943861fda07b7e86c

Comment 6 Graham White 2019-08-05 14:53:13 UTC
Fixed with spec file update [1] and associated patch [2]

Successful build [3]

Patch has been accepted and merged into upstream master [4] but not yet released.

[1] https://src.fedoraproject.org/rpms/gimp-lensfun/c/81c528a6a37dd091ac7cee91731c81b97813f0b4?branch=master
[2] https://src.fedoraproject.org/rpms/gimp-lensfun/c/7f6133f0b7f60419be6dcae7445fd39ef4e4d1c6?branch=master
[3] https://koji.fedoraproject.org/koji/taskinfo?taskID=36810047
[4] https://github.com/seebk/GIMP-Lensfun/commit/c5eaf978715b5314d5796afc7ba8f9e8ddc2f625

P.S. upstream has a branch for gimp 2.10 development work but this is yet to be merged and released.


Note You need to log in before you can comment on or make changes to this bug.